#ifndef MY_DIM
#error MY_DIM unset
#endif

#include "../explicitgrid.hh"
#include "../explicitvectors.hh"

#include <dune/solvers/norms/energynorm.hh>

#include "../spatial-solving/solverfactory_tmpl.cc"
#include "../data-structures/levelcontactnetwork_tmpl.cc"

#include "rate/rateupdater.hh"
#include "state/stateupdater.hh"
#include "updaters.hh"

using NBodyAssembler = typename MyLevelContactNetwork::NBodyAssembler;
using BoundaryNodes = typename MyLevelContactNetwork::BoundaryNodes;
using BoundaryFunctions = typename MyLevelContactNetwork::BoundaryFunctions;

using MyStateUpdater = StateUpdater<ScalarVector, Vector>;
using MyRateUpdater = RateUpdater<Vector, Matrix, BoundaryFunctions, BoundaryNodes>;
using MyUpdaters = Updaters<MyRateUpdater, MyStateUpdater>;

using ErrorNorm = EnergyNorm<ScalarMatrix, ScalarVector>;


template class CoupledTimeStepper<MySolverFactory, NBodyAssembler, MyUpdaters, ErrorNorm>;
