#include "../data-structures/levelcontactnetwork_tmpl.cc"
#include "../explicitvectors.hh"

using BoundaryFunctions = typename LevelContactNetwork<Grid, MY_DIM>::BoundaryFunctions;
using BoundaryNodes = typename LevelContactNetwork<Grid, MY_DIM>::BoundaryNodes;

template
auto initRateUpdater<Vector, Matrix, BoundaryFunctions, BoundaryNodes>(
    Config::scheme scheme,
    const BoundaryFunctions&  velocityDirichletFunctions,
    const BoundaryNodes& velocityDirichletNodes,
    const Matrices<Matrix, 2>& matrices,
    const std::vector<Vector>& u_initial,
    const std::vector<Vector>& v_initial,
    const std::vector<Vector>& a_initial)
-> std::shared_ptr<RateUpdater<Vector, Matrix, BoundaryFunctions, BoundaryNodes>>;
